Page MenuHomePhabricator

[XRay][Driver] Do not link in XRay runtime in shared libs
ClosedPublic

Authored by dberris on Sep 24 2017, 10:52 PM.

Details

Summary

This change ensures that we don't link in the XRay runtime when building
shared libraries with clang. This doesn't prevent us from building
shared libraris tht have XRay instrumentation sleds, but it does prevent
us from linking in the static XRay runtime into a shared library.

The XRay runtime currently doesn't support dynamic registration of
instrumentation sleds in shared objects, which we'll start enabling in
the future. That work has to happen in the back-end and in the runtime.

Event Timeline

dberris created this revision.Sep 24 2017, 10:52 PM
rnk accepted this revision.Sep 25 2017, 8:36 AM

Looks good

This revision is now accepted and ready to land.Sep 25 2017, 8:36 AM
dberris updated this revision to Diff 116631.Sep 25 2017, 7:29 PM
  • fixup: limit tests to run on supported platforms and oses
dberris updated this revision to Diff 116637.Sep 25 2017, 8:04 PM
  • fixup: use supported target list in test from clang implementation
dberris closed this revision.Sep 26 2017, 7:39 AM

Already landed; manually closing.

Harbormaster completed remote builds in B10593: Diff 116637.